Skip to content
Last updated

Lean - uploadAwsId method

If there is a video identification process that stores the evidence on aws, you can use this method to add the awsId reference to the issued disposable.

For the full technical reference, see the OpenAPI specification.

Endpoint

POST /api/document/{lraId}/uploadAwsId

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

Body parameters

ParameterTypeRequiredDescription
deviceCodestringYesThe device code of the issued certificate.
idOtpstringYesThe OTP identification associated to the disposable.
awsIdstringYesAWS identification reference.
externalKeystringNoAn external key.

Request example

{
    "awsId": "HgI1MM8VuxpoXh6xozcd0gU8rPCvUN6c9HJRY27-K9A2hRm9ZVFFsVx2whuohH63ZQ1jvxZwVG0YaKLwU9ta0B641ReHvfC-eDUz3en_YLwm-2bxnX3cI8RqF96_YVwuJ39VZKB38g",
    "deviceCode": "RHIDP2412063503288",
    "idOtp": "2587763",
    "externalKey": "external_key_sample"
}

Response examples

200 — Success

Empty body

Error codes

All errors below return HTTP 500.

Error codeDescription
242Missing or empty required fields (awsId, deviceCode)
85The deviceCode/idOtp pair is invalid or not associated to an issued disposable

For authentication errors, see Authentication.